#! /usr/bin/env python3
# Join the quote lines of a CSV when the speaker is the same.

import csv
from sys import argv
from os.path import basename

HEADERS=['Speaker', 'Quote', 'Learning', 'KA', 'Notes']

def main(filename):
    with open(filename, 'r') as in_file:
        with open(f'cleaned-{basename(filename)}', 'w') as out_file:
            reader = csv.DictReader(in_file, fieldnames=HEADERS)
            writer = csv.DictWriter(out_file, fieldnames=HEADERS)
            writer.writeheader()

            current_speaker = None
            current_quote = ''
            for row in reader:
                if row['Speaker'] != current_speaker:
                    if current_speaker != None:
                        writer.writerow({'Speaker': current_speaker,
                                         'Quote': current_quote})
                        current_quote = ''
                current_speaker = row['Speaker']
                current_quote = f'{current_quote} {row["Quote"]}'.strip()
            writer.writerow({'Speaker': current_speaker,
                             'Quote': current_quote})
    

if __name__ == '__main__':
   for arg in argv[1:]:
       main(arg)
